%define upstream_name    Module-Build-Tiny
%define upstream_version 0.039

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    A tiny replacement for Module::Build
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta)
BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(DynaLoader)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(ExtUtils::Config) >= 0.3.0
BuildRequires: perl(ExtUtils::Helpers) >= 0.20.0
BuildRequires: perl(ExtUtils::Install)
BuildRequires: perl(ExtUtils::InstallPaths) >= 0.2.0
BuildRequires: perl(ExtUtils::ParseXS)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long) >= 2.360.0
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open2)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(JSON::PP) >= 2.0.0
BuildRequires: perl(Pod::Man)
BuildRequires: perl(TAP::Harness::Env)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(XSLoader)
BuildRequires: perl(blib)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
BuildArch:  noarch

%description
Many Perl distributions use a Build.PL file instead of a Makefile.PL file
to drive distribution configuration, build, test and installation.
Traditionally, Build.PL uses Module::Build as the underlying build system.
This module provides a simple, lightweight, drop-in replacement.

Whereas Module::Build has over 6,700 lines of code; this module has less
than 120, yet supports the features needed by most distributions.

Supported
    * * Pure Perl distributions

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.39.0-6.mga9
+ Revision: 1804562
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.39.0-5.mga8
+ Revision: 1495613
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.39.0-4.mga7
+ Revision: 1269271
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.39.0-3.mga6
+ Revision: 1029919
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.39.0-2.mga6
+ Revision: 965827
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 sander85 <sander85> 0.39.0-1.mga6
+ Revision: 838458
- update to 0.039

* Wed Oct 15 2014 umeabot <umeabot> 0.38.0-3.mga5
+ Revision: 748858
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.38.0-2.mga5
+ Revision: 685413
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 sander85 <sander85> 0.38.0-1.mga5
+ Revision: 672891
- update to 0.038

* Mon Jul 28 2014 sander85 <sander85> 0.37.0-1.mga5
+ Revision: 657710
- update to 0.037

* Tue May 06 2014 jquelin <jquelin> 0.36.0-1.mga5
+ Revision: 620687
- update to 0.036

* Mon Feb 24 2014 jquelin <jquelin> 0.35.0-1.mga5
+ Revision: 596299
- update to 0.035

* Tue Feb 04 2014 shlomif <shlomif> 0.34.0-1.mga5
+ Revision: 581245
- update to 0.034

* Tue Oct 22 2013 umeabot <umeabot> 0.30.0-2.mga4
+ Revision: 542222
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 sander85 <sander85> 0.30.0-1.mga4
+ Revision: 497119
- update to 0.030

* Fri Oct 11 2013 sander85 <sander85> 0.29.0-1.mga4
+ Revision: 495175
- update to 0.029

* Sun Sep 29 2013 sander85 <sander85> 0.28.0-1.mga4
+ Revision: 489392
- update to 0.028

* Mon Sep 09 2013 sander85 <sander85> 0.27.0-1.mga4
+ Revision: 476654
- update to 0.027

* Tue Aug 20 2013 sander85 <sander85> 0.26.0-1.mga4
+ Revision: 468087
- update to 0.026

* Sun Jul 14 2013 sander85 <sander85> 0.25.0-1.mga4
+ Revision: 454317
- update to 0.025

* Thu Jul 04 2013 shlomif <shlomif> 0.24.0-1.mga4
+ Revision: 450215
- update to 0.024

* Wed Jun 19 2013 shlomif <shlomif> 0.23.0-1.mga4
+ Revision: 445011
- Missing BR
- Add missing BuildRequires
- imported package perl-Module-Build-Tiny


* Tue Jun 18 2013 cpan2dist 0.023-1mga
- initial mageia release, generated with cpan2dist
